Skip to main content
PUT
/
api
/
v1
/
school
/
notices
/
{id}
Update notice
curl --request PUT \
  --url https://test-api.afrainity.com/api/v1/school/notices/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "notice_file": "<string>",
  "is_deleted": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this notice.

Body

Auto-populate created_by from request.user when available.

title
string
required
Required string length: 1 - 255
description
string
required
Minimum string length: 1
notice_file
file | null
is_deleted
boolean

Response

{key}
any